<?xml version="1.0" encoding="UTF-8"?>
<!--
Arrebol Consultancy copyright.

This code belongs to Arrebol Consultancy
its use, redistribution or modification are prohibited 
without written authorization from Arrebol Consultancy.
-->

<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.view.dashboard.InsuranceDashboardListView" 
           table="INSURANCE_DASHBOARD_LIST_VIEW" 
           catalog="crov_spa" 
           mutable="false">
        <id name="id" type="string">
            <column name="id" length="36" />
        </id>
        <property name="idLocation" type="string">
            <column name="id_location" length="36"/>
        </property>
        <property name="economicNumber" type="string">
            <column name="economic_number" length="12"/>
        </property>
        <property name="insuranceEndDate" type="timestamp">
            <column length="19" name="insurance_end_date"/>
        </property>
        <property name="insuranceName" type="string">
            <column name="insurance_name" length="100"/>
        </property>
        <property name="insuranceCobertura" type="string">
            <column name="insurance_cobertura" length="100"/>
        </property>
        <property name="numero" type="string">
            <column name="insurance_number" length="100"/>
        </property>
        <property name="fullDriverName" type="string">
            <column name="full_driver_name" length="103"/>
        </property>
        <property name="fullCustomerName" type="string">
            <column name="full_customer_name" length="103"/>
        </property>
        <property name="insuranceStatus" column="insurance_status">
            <type name="org.hibernate.type.EnumType">
                <param name="enumClass">com.arrebol.taxiservicios.model.enums.InsuranceStatus</param>
                <param name="useNamed">true</param>
            </type>
        </property>  
    </class>
</hibernate-mapping>
